| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.Map

Synopsis

data EitherOrBoth a b

= L a
| B a b
| R b

unionWithM :: (Ord k, Functor m, Monad m) => (a -> a -> m a) -> Map k a -> Map k a -> m (Map k a)
insertWithKeyM :: (Ord k, Monad m) => (k -> a -> a -> m a) -> k -> a -> Map k a -> m (Map k a)
filterKeys :: Ord k => (k -> Bool) -> Map k a -> Map k a

Documentation

data EitherOrBoth a b | Source

Constructors

L a |
B a b |
R b |

unionWithM :: (Ord k, Functor m, Monad m) => (a -> a -> m a) -> Map k a -> Map k a -> m (Map k a) | Source

Not very efficient (goes via a list), but it'll do.

insertWithKeyM :: (Ord k, Monad m) => (k -> a -> a -> m a) -> k -> a -> Map k a -> m (Map k a) | Source

filterKeys :: Ord k => (k -> Bool) -> Map k a -> Map k a | Source

Filter a map based on the keys.
Produced by Haddock version 2.4.2